<?php

require_once "abstract.ilPluginModelList.php";

/**
 * Class ilQuestionSetPoolSetList
 *
 * Date: 10.10.13
 * Time: 10:49
 * @author Thomas Joußen <tjoussen@databay.de>
 */ 
class ilQuestionSetPoolSetList extends ilPluginModelList
{
	/**
	 * @var ilObjQuestionSetPool
	 */
	protected $question_set_pool;

	public function __construct($question_set_pool)
	{
		$this->question_set_pool = $question_set_pool;

		parent::__construct();
	}

	/**
	 * @param array $params
	 * @param array $filter
	 *
	 * @return array
	 */
	public function loadData($params = array(), $filter = array())
	{
		require_once "./Customizing/global/plugins/Services/Repository/RepositoryObject/QuestionSetPool/classes/providers/class.ilQuestionSetPoolSetsProvider.php";

		$provider = new ilQuestionSetPoolSetsProvider();
		$filter["questionsetpool_fi"] = $this->question_set_pool->getId();
		return $provider->loadData($filter, $params);
	}

	public function getSet($id)
	{
		$data = $this->getData();

		foreach($data as $item)
		{
			if($item->getId() == $id)
			{
				return $item;
			}
		}

		return null;
	}

	public function insert($question_ids)
	{
		return true;
	}

	public function remove($question_ids)
	{
		return true;
	}

	/**
	 * @param array $data
	 *
	 * @return array
	 */
	public function createObjectsFromData($data)
	{
		$objects = array();
		foreach($data as $item)
		{
			require_once 'class.ilQuestionSetPoolSet.php';
			$set = new ilQuestionSetPoolSet($this->question_set_pool);
			$set->setId($item['id']);
			$set->setTitle($item['title']);
			$set->setDescription($item['description']);

			$objects[] = $set;
		}

		return $objects;
	}
}
